<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/sub_header"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/header"
        app:layout_constraintBottom_toBottomOf="parent">

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.constraint.ConstraintLayout android:id="@+id/image_lay"
                android:layout_width="120dp"
                android:layout_height="120dp"
                android:layout_marginTop="30dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/photo"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"/>

                <TextView android:id="@+id/editPhoto"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:fontFamily="@font/fontawesome"
                    android:text="@string/ic_camera"
                    android:textSize="20sp"
                    android:textColor="@color/textWhite"
                    android:gravity="center"
                    android:background="@drawable/circle_orange"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"/>

            </android.support.constraint.ConstraintLayout>

            <!-- Layout Visibility -->

            <LinearLayout android:id="@+id/profile_parent"
                android:visibility="visible"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:animateLayoutChanges="true"
                android:layout_marginTop="30dp"
                android:orientation="vertical"
                android:gravity="center_horizontal"
                app:layout_constraintTop_toBottomOf="@id/image_lay">

                <innovacia.co.id.trunkey1.helper.CustomTextInputLayout
                    android:id="@+id/name_lay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:layout_gravity="center_horizontal"
                    app:hintTextAppearance="@android:style/TextAppearance.Small">

                    <EditText
                        android:id="@+id/name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:imeOptions="actionNext"
                        android:fontFamily="@font/avenir_roman"
                        android:paddingTop="10dp"
                        android:paddingBottom="10dp"
                        android:textSize="15sp"
                        android:maxLines="1"
                        android:scrollHorizontally="true"
                        android:hint="Full Name"
                        android:inputType="text"/>
                </innovacia.co.id.trunkey1.helper.CustomTextInputLayout>

                <innovacia.co.id.trunkey1.helper.CustomTextInputLayout
                    android:id="@+id/email_lay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:layout_gravity="center_horizontal"
                    app:hintTextAppearance="@android:style/TextAppearance.Small">

                    <EditText
                        android:id="@+id/email"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:imeOptions="actionDone"
                        android:fontFamily="@font/avenir_roman"
                        android:paddingTop="10dp"
                        android:paddingBottom="10dp"
                        android:textSize="15sp"
                        android:maxLines="1"
                        android:scrollHorizontally="true"
                        android:hint="Email"
                        android:inputType="textEmailAddress"/>
                </innovacia.co.id.trunkey1.helper.CustomTextInputLayout>

                <innovacia.co.id.trunkey1.helper.CustomTextInputLayout
                    android:id="@+id/phone_lay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:layout_gravity="center_horizontal"
                    app:hintTextAppearance="@android:style/TextAppearance.Small">

                    <EditText
                        android:id="@+id/phone"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:imeOptions="actionDone"
                        android:fontFamily="@font/avenir_roman"
                        android:paddingTop="10dp"
                        android:paddingBottom="10dp"
                        android:textSize="15sp"
                        android:maxLines="1"
                        android:scrollHorizontally="true"
                        android:hint="Phone"
                        android:inputType="phone"/>
                </innovacia.co.id.trunkey1.helper.CustomTextInputLayout>

                <Spinner
                    android:id="@+id/spinner"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:theme="@style/myTheme"
                    android:layout_gravity="start"
                    android:layout_marginTop="10dp"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"/>

                <TextView
                    android:id="@+id/save"
                    android:layout_width="180dp"
                    android:layout_height="40dp"
                    android:fontFamily="@font/avenir_heavy"
                    android:textSize="15sp"
                    android:gravity="center"
                    android:layout_marginTop="30dp"
                    android:layout_marginBottom="30dp"
                    android:background="@drawable/text_shape_blue"
                    android:text="Save"
                    android:textColor="@color/textWhite" />

            </LinearLayout>

        </android.support.constraint.ConstraintLayout>

    </ScrollView>

</android.support.constraint.ConstraintLayout>
